define('aim/absence/view/AbsenceSidebarView',['aim/main/view/RemoveFilterActionView'], function(RemoveFilterActionView) {
	var AbsenceSidebarView = Backbone.View.extend({
		el: '#absence-sidebar',
		
		initialize : function() {
			this.listenTo(this.model.get("filterContextModel"), 'sync', this.render);
			var that=this;
			var sidebar = AJS.sidebar('.aui-sidebar');
			sidebar.$el.attr( "id","plan-sidebar");
			sidebar.$el.on('click', '#nav-new-filter', function (e) {
				e.preventDefault();
				that.model.get("newFilterModel").fetch();
				AJS.dialog2("#new-resource-filter-dialog").show();
			});
			
			sidebar.$el.on('click', '#nav-search-filter', function (e) {
	//TODO open the dialog when it is implemented 
	//				e.preventDefault();
    //				AJS.dialog2("#search-resource-filter-dialog").show();
			});
			this.model.get("filterContextModel").fetch();
		},
			
		render : function() {
		    if(! this.removeFilterActionView)
		    	this.removeFilterActionView = new RemoveFilterActionView({model: this.model.get("filterContextModel")}); 
			return this;
		}
	});
	return AbsenceSidebarView;
});