define('aim/assignment/view/CalendarWeeksView',[], function() {
	var CalendarWeeksView = Backbone.View.extend({
		
		el: '#calendarWeeks-group',
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
		
		render : function() {
			var tmpOps = {};
			var planValueModel = this.model;
			tmpOps.number = planValueModel.get('weekCount');
			tmpOps.id = "weekCount";
			tmpOps.label = AJS.I18n.getText("naomi.templates.js.jirarp.plan.board.add.dialog.calendar.weeks.label");
			tmpOps.min = 2;
			tmpOps.max = 4000;
			tmpOps.disabled = "disabled";
			this.$el.html(Naomi.Templates.JiraRp.number(tmpOps, null, null));
			this.value=planValueModel.get('weekCount');
			return this;
		}
	});
	return CalendarWeeksView;
});