define('aim/assignment/view/SelectResourceView',[], function() {
	var SelectResourceView = Backbone.View.extend({
		
		el: '#resource-single-select',
		
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
		
		render : function() {
			var preSelect = this.model.get("selectedResource");
			var tmpOps = {};
			var selectDatas = {};
			selectDatas.selectValues = new Array();
			this.selection = false;
			var self=this;
			_.each(this.model.get("resourceOptions"), function(resourcePlaningResource) {
				var selectData = {};
				selectData.id = resourcePlaningResource.mappedResourceId;
				selectData.name = resourcePlaningResource.displayName;
				if(preSelect == resourcePlaningResource.mappedResourceId){
					selectData.selected='selected';
					self.selection=true;
				}
				selectDatas.selectValues.push(selectData);
			});
			this.$el.html(Naomi.Templates.JiraRp.select(tmpOps, null, selectDatas));
			this.$el.prepend(Naomi.Templates.JiraRp.placeholder());
			if(this.selection == false){
				AJS.$("#resource-single-select").trigger('chosen:updated');
			}
			AJS.$("#resource-single-select").chosen();

//			this.$el.html(Naomi.Templates.JiraRp.select(tmpOps, null, selectDatas));
//			if(this.selection==true){
//				this.$el.prepend(Naomi.Templates.JiraRp.placeholder());
//			}else{
//				this.$el.prepend(Naomi.Templates.JiraRp.selectedPlaceholder());
//			}
//			AJS.$("#resource-single-select").auiSelect2({
//			      placeholder: "Select a resource",
//				  allowClear: false
//				});
//			if(this.model.get("selectedProject") == 0){
//				AJS.$("#resource-single-select").prop("disabled", true);
//			}else{
//				AJS.$("#resource-single-select").prop("disabled", false);
//			}
			return this;	
		}
	});
	return SelectResourceView;
});