define('aim/assignment/view/SelectToView',[], function() {
	var SelectToView = Backbone.View.extend({
		
		el: '#to-group',
		
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
		
		render : function() {
			var tmpOps = {};
			var planValueModel = this.model;
			tmpOps.date = planValueModel.get('to');
			tmpOps.id = "toDate";
//			tmpOps.errorMessage = planValueModel.get('toErrorMessage');
			tmpOps.label = AJS.I18n.getText("naomi.templates.js.jirarp.plan.board.add.dialog.to.label");
			this.$el.html(Naomi.Templates.JiraRp.from(tmpOps, null, null));
			AJS.$('#toDate').datePicker({'overrideBrowserDefault': true});
			return this;
		}
	});
	return SelectToView;
});