define('aim/capacity/view/SelectCalendarWeekView',[], function() {
	var SelectCalendarWeekView = Backbone.View.extend({

		el: '#calendar-week-select',
		
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
		
		render : function() {
			var self = this;
			var tmpOps = {};
			var selectDatas = {};
			selectDatas.selectValues = new Array();
			var calendarWeekOptions = this.model.get('calendarWeekSelectOptions');
	        _.each(calendarWeekOptions, function(week) {
	        	var selectData = {};
				selectData.id = week.value;
				selectData.name = week.label;
				if( week.value == 0 ){
					selectData.selected='selected';
				}
				selectDatas.selectValues.push(selectData);
	        });
	        this.$el.html(Naomi.Templates.JiraRp.select(tmpOps, null, selectDatas));
			AJS.$("#calendar-week-select").auiSelect2();
			return this;	
		}
	});
	return SelectCalendarWeekView;
});