var constants = {
		resourceMode : "resources",
		projectMode : "projects"
};

jQuery(document).ready(function($) {
		if (!String.prototype.endsWith) {
			  String.prototype.endsWith = function(searchString, position) {
			      var subjectString = this.toString();
			      if (position === undefined || position > subjectString.length) {
			        position = subjectString.length;
			      }
			      position -= searchString.length;
			      var lastIndex = subjectString.indexOf(searchString, position);
			      return lastIndex !== -1 && lastIndex === position;
			  };
			}
	
	jQuery.fn.filterByText = function(textbox) {
	    return this.each(function() {
	        var select = this;
	        var options = [];
	        $(select).find('option').each(function() {
	            options.push({value: $(this).val(), text: $(this).text()});
	        });
	        $(select).data('options', options);

	        $(textbox).bind('change keyup', function() {
	            var options = $(select).empty().data('options');
	            var search = $.trim($(this).val());
	            var regex = new RegExp(search,"gi");

	            $.each(options, function(i) {
	                var option = options[i];
	                if(option.text.match(regex) !== null) {
	                    $(select).append(
	                        $('<option>').text(option.text).val(option.value)
	                    );
	                }
	            });
	        });
	    });
	};
	var renderProjectsInFilter = false;
	$("#absence-sidebar").replaceWith(Naomi.Templates.Filter.sidebar());
	$("#new-resource-filter-dialog").replaceWith(Naomi.Templates.JiraRp.newFilterPopup(renderProjectsInFilter,null,null));

	var ContextModel = new require('aim/absence/model/ContextModel');
	var contextModel = new ContextModel();
//	var AbsenceValueModel = new require('aim/absence/model/AbsenceValueModel');
//	var absenceValueModel = new AbsenceValueModel();
	var NewFilterModel = new require('aim/absence/model/NewFilterModel');
	var newFilterModel = new NewFilterModel();
	var FilterContextModel = new require('aim/absence/model/FilterContextModel');
	var filterContextModel = new FilterContextModel();

//	var contextPlanModel = new ContextPlanModel({newFilterModel : newFilterModel, absenceValueModel: absenceValueModel,contextModel : contextModel});
	var ContextPlanModel = new require('aim/absence/model/ContextPlanModel');
	var filterModel = new ContextPlanModel({newFilterModel : newFilterModel, filterContextModel: filterContextModel, contextModel : contextModel})
	var boardContextModel = new ContextPlanModel({contextModel : contextModel, filterContextModel: filterContextModel});

//	var AbsenceValueView = new require('aim/absence/view/AbsenceValueView');
//	var absenceValueView = new AbsenceValueView({model: contextPlanModel});
	var BoardMainView = new require('aim/absence/view/BoardMainView');
	var boardMainView = new BoardMainView({model: contextModel});

	var FilteredNameView = new require('aim/absence/view/FilteredNameView');
	var filteredNameView = new FilteredNameView(({model: filterModel}));
	var PersonalFilterView = new require('aim/absence/view/PersonalFilterView');
	var personalFilterView = new PersonalFilterView({model: boardContextModel});
	var FavoriteFilterView = new require('aim/absence/view/FavoriteFilterView');
	var favoriteFilterView = new FavoriteFilterView({model: boardContextModel});
//	var searchFilterPopupView = new SearchFilterPopupView();
	var AbsenceSidebarView = new require('aim/absence/view/AbsenceSidebarView');
	var absenceSidebarView = new AbsenceSidebarView({model: filterModel});
	var NewFilterPopupView = new require('aim/absence/view/NewFilterPopupView');
	var newFilterPopupView = new NewFilterPopupView({model: filterModel});
});

