define('aim/admin/view/SelectAuthorView',[], function() {
	var SelectAuthorView = Backbone.View.extend({
		
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},

		render : function() {
			var preSelect = this.model.attributes.selectedAuthor;
			var tmpOps = {};
			var selectDatas = {};
			selectDatas.selectValues = new Array();
			var resourceList = this.model.attributes.authorList;		
			var self=this;
			_.each(resourceList, function(author) {
				var selectData = {};
				selectData.id = author;
				if(author == preSelect){
					selectData.selected = "selected";
					self.selection=true;
				}
				selectData.name = author;
				selectDatas.selectValues.push(selectData);
			});
			this.$el.html(Naomi.Templates.JiraRp.select(tmpOps, null, selectDatas));
			if(this.selection==true){
				this.$el.prepend(Naomi.Templates.JiraRp.placeholder());
			}else{
				this.$el.prepend(Naomi.Templates.JiraRp.selectedPlaceholder());
			}
			AJS.$('#'+this.el.id).auiSelect2();
			return this;	
		},
		
	});
	return SelectAuthorView;
});