define('aim/analytics/view/WeekResourceView',[], function() {
	var WeekResourceView = Backbone.View.extend({

		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
			
		render : function() {
			AJS.$('#resource-planned-'+this.model.get('weekOfYear')+'-'+this.model.get('resourceId')).text(this.model.get('formattedPlanned'));
			AJS.$('#resource-logged-'+this.model.get('weekOfYear')+'-'+this.model.get('resourceId')).text(this.model.get('formattedLogged'));
			AJS.$('#resource-difference-'+this.model.get('weekOfYear')+'-'+this.model.get('resourceId')).text(this.model.get('formattedDifference'));
			AJS.$('#resource-difference-'+this.model.get('weekOfYear')+'-'+this.model.get('resourceId')).parent().css( "background-color", this.model.get('background') );
			var style = AJS.$('#resource-difference-'+this.model.get('weekOfYear')+'-'+this.model.get('resourceId')).parent().attr( 'style');
			style += ('color: ' + this.model.get('fontColor') + ' !important;' );
			AJS.$('#resource-difference-'+this.model.get('weekOfYear')+'-'+this.model.get('resourceId')).parent().attr( 'style', style );
			return this;
		}
	});
	return WeekResourceView;
});