define('aim/assignment/view/DaysWithAvailabilityView',[], function() {
	var DaysWithAvailabilityView = Backbone.View.extend({
		
		el: '#days-with-availability-group',
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
		
		render : function() {
			var tmpOps = {};
			var planValueModel = this.model;
			tmpOps.number = planValueModel.get('daysWithAvailability');
			tmpOps.id = "daysWithAvailability";
			tmpOps.label = AJS.I18n.getText("naomi.templates.js.jirarp.plan.board.add.dialog.days.with.availability.label");
			tmpOps.min = 2;
			tmpOps.max = 4000;
			tmpOps.disabled = "disabled";
			this.$el.html(Naomi.Templates.JiraRp.number(tmpOps, null, null));
			this.value=planValueModel.get('daysWithAvailability');
			return this;
		}
	});
	return DaysWithAvailabilityView;
});