define('aim/capacity/view/FilteredNameView',[], function() {
	var FilteredNameView = Backbone.View.extend({
		el: '#current-filter',
		
		events: {
			"click #edit-filter-nav" : "editFilter"
		},
		
		initialize : function() {
			this.listenTo(this.model.get("filterContextModel"), 'sync', this.render);
		},
			
		render : function() {
			AJS.$("#filter-name").text(this.model.get("filterContextModel").get("currentFilterObject").filterName);
			return this;
		},
		
		editFilter : function(event) {
			var newFilterModel = this.model.get("newFilterModel");
			var filterContextModel = this.model.get("filterContextModel");
			var filter = filterContextModel.get("currentFilterObject");
			newFilterModel.set("operation","editFilter");
			newFilterModel.set("filterId",filter.id);
			newFilterModel.save();
			AJS.dialog2("#new-resource-filter-dialog").show();
		}
		
	});
	return FilteredNameView;
});